#!/bin/sh
#
# copy-file -p perms in out
#
# Substitute a standard set of tokenes in a script or config file.  This
# puts in build-time paths and file names.  Tokens in the form @name@ are
# replaced.
#

set -e

perms=""

while true ; do
    case "$1" in
        -p) shift
            perms="$1"
            shift;;
        -*) echo "Unknown option: $1" >&2
            exit 1;;
         *) break;;
    esac
done

if [ $# != 2 ] ; then
    echo "wrong # args: copy-file -p perms in out" >&2
    exit 1
fi

in="$1"
out="$2"

mkdir -p "`dirname "$out"`"
rm -f "$out"
cp -f "$in" "$out"

if [ "X$perms" != "X" ] ; then
    chmod $perms "$out"
fi
