##############################################################################
#                                                                            #
#                        RPM spec file for enhydra                           #
#                                                                            #
##############################################################################

##############################################################################
# Preamble -- describe the package                                           #
##############################################################################
Summary: The Enhydra Demos are a collection of sample Enhydra Applications
Name: Enhydra-Demos
Version: @VERSION@
Release: @RELEASE@
Copyright: FreeBSD-style
Group: Application Server
Source: http://www.enhydra.org/cuts/@BASENAME@
URL: http://www.enhydra.org/
Packager: Enhydra <enhydra@enhydra.org>
Icon: Enhydra.gif
requires: Enhydra >= @VERSION@
#
# Prefix can be defined by the user on install.  All occurances of
# /usr/local will be replaced with the directory following the --prefix flag
#
# ex. rpm -ivh --prefix /home/foo enhydra-*-1.i386.rpm
#
Prefix: @PREFIX@

%description
The Enhydra Demos are a collection of sample Enhydra Applications that demonstrate the different features of the Enhydra Developement Environment.  The Enhydra Demos include:  
     o Multiserver Admin Console - administration console through 
       whcih Enhydra applications can be graphically administered. 
     o Calculator - a photo realistic 4 function calculator.
     o Chat -  a chat room application which uses a special 
       algorithm to achieve the effects of push technology using 
       standard HTTP.
     o Enhydra Demo Application - a collections of "tutorial" 
       applications that shows off various features and capabilities 
       of Enhydra.
     o GolfShop Shopping Cart - an example of a classic Web shopping 
       cart application used to support an on-line Golf Store

##############################################################################
# This script get executed prior to package build                            #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%prep
#
# Remove any old sources from previous installs
#
if [ -d $RPM_BUILD_DIR/usr/local/@INFLATE_DIR@ ]
then
    rm -rf $RPM_BUILD_DIR/usr/local/@INFLATE_DIR@
fi

#
# Extract source files to build directory
#
mkdir -p $RPM_BUILD_DIR@PREFIX@
cd $RPM_BUILD_DIR@PREFIX@
tar -zxvf $RPM_SOURCE_DIR/@BASENAME@

#
# set user and group permissions
#
chown -R root $RPM_BUILD_DIR/usr
chgrp -R root $RPM_BUILD_DIR/usr
##############################################################################
# This script gets executed during package build                              #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%build
#
# nothing to be done here
#
##############################################################################
# This script get executed during package install                            #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%install
#
# remove source, prepare binaries for installation
#

##############################################################################
# This script get executed after package install                             #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%clean
#
# nothing to do here
#

##############################################################################
# This script section get executed prior to install                          #
#   rpm -ivh enhydra-*-1.i386.rpm                                            #
##############################################################################
%pre
#
#Find the Enhydra installation
#

list="enhydra@VERSION@"
for i in $list 
do
   if [ -d /usr/local/$i ]
   then
      ENHYDRA_DIR=/usr/local/$i
   fi
done                                  

if [ -d $ENHYDRA_DIR ] && [ -f $ENHYDRA_DIR/lib/enhydra.jar ]
then
   if [ ! -d $RPM_INSTALL_PREFIX/@INFLATE_DIR@ ]
   then
     mkdir $RPM_INSTALL_PREFIX/@INFLATE_DIR@
   fi
   echo $ENHYDRA_DIR > $RPM_INSTALL_PREFIX/@INFLATE_DIR@/enhydradir.tmp
fi
##############################################################################
# This script section get executed after install                             #
#   rpm -ivh enhydra-*-1.i386.rpm                                            #
##############################################################################
%post
#
# Find where the Enhydra rpm is installed, run the configure script using port
# 9050 - be sure to alert user that this port was used and that they can 
# reconfigure the demos to run on a different port by running the configure script
#

ENHYDRA_DIR=""
if [ -f $RPM_INSTALL_PREFIX/@INFLATE_DIR@/enhydradir.tmp ]
then
   ENHYDRA_DIR=`head --lines=1 $RPM_INSTALL_PREFIX/@INFLATE_DIR@/enhydradir.tmp`
   rm $RPM_INSTALL_PREFIX/@INFLATE_DIR@/enhydradir.tmp
fi

if [ -z $ENHYDRA_DIR ]
then
   cd $RPM_INSTALL_PREFIX/@INFLATE_DIR@
   echo "###########################################################################" > rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "#             ERROR: The Enhydra Demos were not configured                #" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "###########################################################################" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "#  The Enhydra Demos could not be configured upon installation, your      #" >> rpm_config.status
   echo "#  enhydra installation could not be located.  For instructions on        #" >> rpm_config.status
   echo "#  configuring the demos, refer to the README file in the enhydra-demos   #" >> rpm_config.status
   echo "#  directory.                                                             #" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "###########################################################################" >> rpm_config.status 
else   
   port="9050"
   chmod 755 $RPM_INSTALL_PREFIX/@INFLATE_DIR@/configure
   cd $RPM_INSTALL_PREFIX/@INFLATE_DIR@
   ./configure $port $ENHYDRA_DIR

   echo "###########################################################################" > rpm_config.status
   echo "#                                                                         #" >> rpm_config.status 
   echo "#           The Enhydra Demos were configured upon installation!!         #" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "###########################################################################" >> rpm_config.status
   echo "" >> rpm_config.status
   echo "        The Demos were configured to run on port $port, using the" >> rpm_config.status 
   echo "        enhydra installation located at $ENHYDRA_DIR!!" >> rpm_config.status
   echo "" >> rpm_config.status
   echo "###########################################################################" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status 
   echo "#  If this port is not usable on your system, or you wish to use a        #" >> rpm_config.status
   echo "#  different installation of enhydra, please consult the README file in   #" >> rpm_config.status 
   echo "#  the enhydra-demos directory for instructions on how to reconfigure the #" >> rpm_config.status
   echo "#  Demos. Also visit the Enhydra home page for updates and other useful   #" >> rpm_config.status 
   echo "#  information.                                                           #" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "#  To start the Demos, just execute the start script in the enhydra-demos #" >> rpm_config.status
   echo "#  directory and point your browser to http://localhost:$port/, or         #" >> rpm_config.status
   echo "#  whichever port you re-configure them to run on.                        #" >> rpm_config.status
   echo "#                                                                         #" >> rpm_config.status
   echo "###########################################################################" >> rpm_config.status
   echo "" >> rpm_config.status
   echo "" >> rpm_config.status
fi



##############################################################################
# This script section get executed before uninstall                          #
#   rpm -e enhydra-*-1                                                       #
##############################################################################
%preun
#
# nothing to do here
#

##############################################################################
# This script section get executed after uninstall                           #
#   rpm -e enhydra-*-1                                                       #
##############################################################################
%postun
#
# Clean all remaining Enhydra directories.  They are left behind because
# of files that 'configure' creates in them.  But...we only want to remove
# them if we're really doing an erase!  This uninstall script also gets run
# during an upgrade, to uninstall the old version.
# If the enhydra.jar file is missing, assume that we're doing an erase.
#
if [ -d $RPM_INSTALL_PREFIX/@INFLATE_DIR@ ]
then
    echo "removing $RPM_INSTALL_PREFIX/@INFLATE_DIR@"
    rm -rf $RPM_INSTALL_PREFIX/@INFLATE_DIR@
fi

##############################################################################
# List of files installed by package                                         #
##############################################################################
%files
