##############################################################################
#                                                                            #
#                        RPM spec file for enhydra                           #
#                                                                            #
##############################################################################

##############################################################################
# Preamble -- describe the package                                           #
##############################################################################
Summary: Enhydra is an Open Source Java application server run-time and development environment.
Name: Enhydra
Version: @VERSION@
Release: @RELEASE@
Copyright: FreeBSD-style
Group: Application Server
Source: http://www.enhydra.org/cuts/@BASENAME@
URL: http://www.enhydra.org/Doc.html
Packager: Enhydra <enhydra@enhydra.org>
Icon: Enhydra.gif
#
# Prefix can be defined by the user on install.  All occurances of
# /usr/local will be replaced with the directory following the --prefix flag
#
# ex. rpm -ivh --prefix /home/foo enhydra-*-1.i386.rpm
#
Prefix: @PREFIX@

%description
Enhydra is an Open Source Java application server run-time and
development environment.  Its run-time modules and tools include:
     o Enhydra Application Framework - Super-servlet run-time
         environment of common services (session, presentation, database
         connectivity) for supporting N-tier Enhydra applications. 
     o Enhydra Multiserver - a servlet running environment with
         embedded servlet management, monitoring and debugging. 
     o Enhydra XMLC - XML Compiler (to-be-released), designed to
         support designer/developer co-development. 
     o Enhydra JDDI - a structured approach to using embedded Java for
         dynamic HTML. 
     o Enhydra DODS - a graphical tool for Object-to-relational database
         mapping.

##############################################################################
# This script get executed prior to package build                            #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%prep
#
# Remove any old sources from previous installs
#
if [ -d $RPM_BUILD_DIR/usr/local/@INFLATE_DIR_SRC@ ]
then
    rm -rf $RPM_BUILD_DIR/usr/local/@INFLATE_DIR_SRC@
fi


#
# Extract source files to build directory
#
mkdir -p $RPM_BUILD_DIR@PREFIX@
cd $RPM_BUILD_DIR@PREFIX@
tar -zxvf $RPM_SOURCE_DIR/@BASENAME@
##############################################################################
# This script get executed during package build                              #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%build
#
# Build the Source 
#
# The following libraries and tools are required for full build of Enhydra
#

cd $RPM_BUILD_DIR@PREFIX@/@INFLATE_DIR_SRC@
echo "JDKDIR=@JDKDIR@" > config.local.mk
echo "JAVACCDIR=@JAVACCDIR@" >> config.local.mk
echo "SWINGDIR=@SWINGDIR@" >> config.local.mk
echo "JSSEDIR=@JSSEDIR@" >> config.local.mk
echo "WAIDIR=@WAIDIR@" >> config.local.mk
make >&rpm_build_log


##############################################################################
# This script get executed during package install                            #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%install
#
# remove source, prepare binaries fro installation
#

cd $RPM_BUILD_DIR@PREFIX@/
cp -R @INFLATE_DIR_SRC@/output/@INFLATE_DIR_BIN@ .
rm -rf $RPM_BUILD_DIR@PREFIX@/@INFLATE_DIR_SRC@
chown -R bin @INFLATE_DIR_BIN@
chgrp -R bin @INFLATE_DIR_BIN@


##############################################################################
# This script get executed after package install                             #
#   rpm -ba enhydra-*.spec                                                   #
##############################################################################
%clean
#
# nothing to do here
#

##############################################################################
# This script section get executed prior to install                          #
#   rpm -ivh enhydra-*-1.i386.rpm                                            #
##############################################################################
%pre
#
# mothing to do here
# 

##############################################################################
# This script section get executed after install                             #
#   rpm -ivh enhydra-*-1.i386.rpm                                            #
##############################################################################
%post
#
# Make sure the log files are set up to be writable by whoever
#
cd $RPM_INSTALL_PREFIX/@INFLATE_DIR_BIN@
chmod +x configure
mkdir -p logs

chmod 777 logs
chown bin logs
chgrp bin logs
echo " " > logs/multiserver.log
chown bin logs/multiserver.log
chgrp bin logs/multiserver.log
chmod 666 logs/multiserver.log

echo " " > logs/access.log
chown bin logs/access.log
chgrp bin logs/access.log
chmod 666 logs/access.log


##############################################################################
# This script section get executed before uninstall                          #
#   rpm -e enhydra-*-1                                                       #
##############################################################################
%preun
#
# nothing to do here
#

##############################################################################
# This script section get executed after uninstall                           #
#   rpm -e enhydra-*-1                                                       #
##############################################################################
%postun
#
# Clean all remaining Enhydra directories.  They are left behind because
# of files that 'configure' creates in them.  But...we only want to remove
# them if we're really doing an erase!  This uninstall script also gets run
# during an upgrade, to uninstall the old version.
# If the enhydra.jar file is missing, assume that we're doing an erase.
#
if [ ! -f $RPM_INSTALL_PREFIX/@INFLATE_DIR_BIN@/lib/enhydra.jar ] 
then
    echo "removing $RPM_INSTALL_PREFIX/@INFLATE_DIR_BIN@"
    rm -rf $RPM_INSTALL_PREFIX/@INFLATE_DIR_BIN@
fi

##############################################################################
# List of files installed by package                                         #
##############################################################################
%files
