/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ClassLoaderTests.java,v 1.10.8.1 2000/10/19 17:58:53 jasona Exp $
 */





package com.lutris.classloader.tests;

import com.lutris.classloader.*;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.net.MalformedURLException;

public class ClassLoaderTests {
    public static void main(String[] args) {
	// String class path entries
	System.err.println("\nTesting Strings");
	String string = ".";
	    System.err.println("\nTrying: " + string);
	    ClassPathEntry cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("cpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "./";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "./lutris.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "/usr/local/bin";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "/usr/local/bin/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "/usr/local/lutris.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file:///pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file:///pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost:8080/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost:8080/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
// FIXME: should add 127.0.0.1 ?
	string = "http://foo.com/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com:90/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com:90/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com/pub/blah.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com:9999/pub/blah.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	// File class path entries
	System.err.println("\nTesting Files");
	File file = new File(".");
	    System.err.println("\nTrying: " + file);
	    cpe = new ClassPathEntry(file, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	file = new File("/usr/local/lutris.jar");
	    System.err.println("\nTrying: " + file);
	    cpe = new ClassPathEntry(file, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	// URL class path entries
	System.err.println("\nTesting URLs");
	try {
	URL url = new URL("file:///pub/");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("file:///pub");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("file:///pub/lutris.jar");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com/pub");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com/pub/");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com:84/pub");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com:84/pub/");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com/pub/blah.jar");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com:8484/pub/blah.jar");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());

	// Test resources
	System.err.println("\nTesting Resources");
	string = ".";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	string = "com/lutris/classloader/tests/TestClass.class";
	    System.err.println("\nTrying: " + string);
	    Resource res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }

	string = "com/lutris/classloader/tests/bogus.txt";
	    System.err.println("\nTrying: " + string);
	    res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }

	string = "com/lutris/classloader/tests/TestClass.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	string = "com/lutris/classloader/tests/TestClass.class";
	    System.err.println("\nTrying: " + string);
	    res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }

	string = "com/lutris/util/bogus.class";
	    System.err.println("\nTrying: " + string);
	    res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }
	} catch (MalformedURLException e) {
	    System.err.println("malformed url");
	} catch (IOException e) {
	    System.err.println("ioexception");
	}
    }
}
