/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Stdin.java,v 1.7.8.1 2000/10/19 17:58:53 jasona Exp $
 */





package com.lutris.mime.tests;
import java.io.*;

/**
 * Standalone test to allow testing and debugging using arbitrary multipart
 * Mime streams piped to stdin.  No global Mime headers are expected at the 
 * beginning of input.  The first line of the input must always be the
 * full Content-Type field which describes the multipart Mime input that
 * follows from the next line on.
 *
 * @author John Marco
 */
public class Stdin { 

    public static void main (String [] args)
        throws Exception
    {
        // Stdin tests.
        try {
            System.out.println();
            System.out.println("<BEGIN StdinTests>");
            MultipartMimeInputTests.runStdinTest(System.in);
        }
        catch (Exception e) {
            System.out.println("<EXCEPTION StdinTests>");
            System.out.println(e.getMessage());
	    throw e;
        }
        finally {
            System.out.println("<END StdinTests>");
        }
    }
}
