/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: OutputStreamEventQueueEntry.java,v 1.9.12.1 2000/10/19 17:58:53 jasona Exp $
 */




 
package com.lutris.util;

import java.util.Date;


/**
    This is a helper class for OutputStreamEventQueue. It describes one
    event (one call to write()). Only the OutputStreamEventQueue should
    create instances of this class.

    @see com.lutris.util.OutputStreamEventQueue
    @author Andy John
*/
public class OutputStreamEventQueueEntry {

    /**
        The time when the event was created (when write() was called).
    */ 
    public Date     when;


    /**
        The data. This is what was written by the write() call.
    */
    public byte[]   data;


    /**
        Only the OutputStreamEventQueue should create instances of this class.

        @see com.lutris.util.OutputStreamEventQueue
    */
    protected OutputStreamEventQueueEntry() {
    }


    /**
        Only the OutputStreamEventQueue should create instances of this class.

        @see com.lutris.util.OutputStreamEventQueue
    */
    protected OutputStreamEventQueueEntry(Date when, byte[] data) {
        this.when = when;
        this.data = data;
    }
}

