/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Main.java,v 1.9.8.1 2000/10/19 17:58:53 jasona Exp $
 */





package com.lutris.util.tests;

/**
 * Class that runs all tests in this directory.
 *
 * @author Kyle Clark
 */
public class Main { 

    public static void main (String [] args)
        throws Exception
    {
        // KeywordValueTableTests
        System.out.println();
        try {
            System.out.println();
            System.out.println("<BEGIN KeywordValueTableTests>");
            KeywordValueTableTests.runTests();
        }
        catch (Exception keywordValueTableTestsException) {
            System.out.println("<EXCEPTION KeywordValueTableTests>");
            System.out.println(keywordValueTableTestsException.getMessage());
        }
        finally {
            System.out.println("<END KeywordValueTableTests>");
        }

        // FilePersistentStoreTests
        try {
            System.out.println();
            System.out.println("<BEGIN FilePersistentStoreTests>");
            FilePersistentStoreTests.runTests();
        }
        catch (Exception filePersistentStoreTestsException) {
            System.out.println("<EXCEPTION FilePersistentStoreTests>");
            System.out.println(filePersistentStoreTestsException.getMessage());
        }
        finally {
            System.out.println("<END FilePersistentStoreTests>");
        }

        System.out.println();

    }
}
