/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: QueryException.java,v 1.2.2.1.2.1 2000/10/05 00:56:04 jay Exp $
 */
package com.lutris.dods.builder.generator.query;

import com.lutris.util.ChainedException;

/**
 * QueryException is thrown by QueryBuilder.getNextRow and getRows methods
 * when the database query could not be performed.
 *
 * Application developers should treat QueryException like 
 * other ChainedException objects.
 * QueryExceptions indicate run-time errors in accessing the database.
 * 
 * @see QueryBuilder 
 * @author Jay Gunter
 */
public class QueryException extends ChainedException {
    public QueryException( String msg, Throwable cause ) {
	super( msg, cause );
    }
    public QueryException( String msg ) {
	super( msg );
    }
}
