/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-1999 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: DOEditorTreeSelectionListener.java,v 1.6 1999/11/04 17:09:59 mikew Exp $
 *-----------------------------------------------------------------------------
 */



package com.lutris.dods.gui.tree;

import javax.swing.event.TreeSelectionListener;
import javax.swing.event.TreeSelectionEvent;
import javax.swing.JTree;
import javax.swing.JTextField;
/**
 * This class updates the PackageName textfield when a new package is selected
 * in the DataObjectEditor.
 */
public final class DOEditorTreeSelectionListener implements TreeSelectionListener {
    private JTree tree;
    private JTextField packageName;
    /**
     * This initializes the appropriate variables.
     */
    public DOEditorTreeSelectionListener(JTree tre, JTextField packageNam) {
        tree = tre;
        packageName = packageNam;
    }
    /**
     * When the new node is selected its name is put in the appropriate TextField.
     */
    public void valueChanged(TreeSelectionEvent e) {
        if(tree.getLastSelectedPathComponent()==null) {return;}
        if(((DOTreeNode)tree.getLastSelectedPathComponent()).isLeaf()) {return;}
        DOTreeNode tn = (DOTreeNode)tree.getLastSelectedPathComponent();
        packageName.setText(tn.getDataObject().getPackageName()+"."+tn.getDataObject().getName());
        if(tn.getDataObject().getPackageName().equals("")){
            packageName.setText(tn.getDataObject().getName());
        }
    }
}
