/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: DatabaseContentException.java,v 1.13.12.1 2000/10/19 17:59:05 jasona Exp $
 */





package	com.lutris.appserver.server.sql;

import com.lutris.util.ChainedException;

/**
 * Exception indicating that data in a database is not what is expected.
 *
 * @version	$Revision: 1.13.12.1 $
 * @author	Kyle Clark
 * @since	LBS1.7
 */
public class DatabaseContentException extends ChainedException {

    /**
     * Construct given a DBConnection.
     *
     * @param connection DBConnection to the database that got the error.
     * @param detail Detail message.
     */
    public DatabaseContentException (DBConnection connection,
                                     String detail)
    {
        super (connection.getUrl() + ": " + connection.getUser() + ": " + detail);
    }

    /**
     * Construct with only a detail message.
     *
     * @param detail Detail message.
     */
    public DatabaseContentException (String detail)
    {
        super (detail);
    }
}
