/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: DebugStmt_1_1.java,v 1.3.12.1 2000/10/19 17:59:05 jasona Exp $
 */

package	com.lutris.appserver.server.sql;

import com.lutris.appserver.server.LBS;
import com.lutris.logging.*;
import java.sql.*;
import java.util.*;
import java.io.*;
import java.math.*;

/**
 * FIX: I need javadoc!
 *
 * @author	John Marco
 * @since	LBS1.8
 * @version	$Revision: 1.3.12.1 $
 */
public class DebugStmt_1_1 implements PreparedStatement
{
    private PreparedStatement	stmt;

    /**
     * The log channel.
     */
    private LogChannel log = LBS.getLogChannel();
    
    public DebugStmt_1_1(DBConnection conn, String sql)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: new DebugStmt(<conn>, " + sql + ")");
	stmt = conn.prepareStatement(sql);
    }
    
    public
    PreparedStatement getPreparedStatement()
    {
	log.write(Logger.DEBUG, "DS: getPreparedStatement()");
	return stmt;
    }

    public
    ResultSet executeQuery()
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: executeQuery()");
	return stmt.executeQuery();
    }

    public
    int executeUpdate()
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: executeUpdate()");
	return stmt.executeUpdate();
    }

    public
    void setNull(int idx, int type)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetNull(" + idx + ", " + type + ")");
	stmt.setNull(idx, type);
    }

    public
    void setBoolean(int idx, boolean x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetBoolean(" + idx + ", " + x + ")");
	stmt.setBoolean(idx, x);
    }

    public
    void setByte(int idx, byte x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetByte(" + idx + ", " + x + ")");
	stmt.setByte(idx, x);
    }

    public
    void setShort(int idx, short x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetShort(" + idx + ", " + x + ")");
	stmt.setShort(idx, x);
    }

    public
    void setInt(int idx, int x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetInt(" + idx + ", " + x + ")");
	stmt.setInt(idx, x);
    }

    public
    void setLong(int idx, long x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetLong(" + idx + ", " + x + ")");
	stmt.setLong(idx, x);
    }

    public
    void setFloat(int idx, float x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetFloat(" + idx + ", " + x + ")");
	stmt.setFloat(idx, x);
    }

    public
    void setDouble(int idx, double x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetDouble(" + idx + ", " + x + ")");
	stmt.setDouble(idx, x);
    }

    public
    void setBigDecimal(int idx, BigDecimal x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetBigDecimal(" + idx + ", " + x.toString() + ")");
	stmt.setBigDecimal(idx, x);
    }

    public
    void setString(int idx, String x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetString(" + idx + ", " + x + ")");
	stmt.setString(idx, x);
    }

    public
    void setBytes(int idx, byte[] x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetBytes(" + idx + ", <bytes>)");
	stmt.setBytes(idx, x);
    }

    public
    void setDate(int idx, java.sql.Date x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetDate(" + idx + ", " + x.toString() + ")");
	stmt.setDate(idx, x);
    }

    public
    void setTime(int idx, Time x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetTime(" + idx + ", " + x.toString() + ")");
	stmt.setTime(idx, x);
    }

    public
    void setTimestamp(int idx, Timestamp x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetTimestamp(" + idx + ", " + x.toString() + ")");
	stmt.setTimestamp(idx, x);
    }

    public
    void setAsciiStream(int idx, InputStream x, int length)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetAsciiStream(" + idx + ", <stream>, " + length + ")");
	stmt.setAsciiStream(idx, x, length);
    }

    public
    void setUnicodeStream(int idx, InputStream x, int length)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetUnicodeStream(" + idx + ", <stream>, " + length + ")");
	stmt.setUnicodeStream(idx, x, length);
    }

    public
    void setBinaryStream(int idx, InputStream x, int length)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetBinaryStream(" + idx + ", <stream>, " + length + ")");
	stmt.setBinaryStream(idx, x, length);
    }

    public
    void clearParameters()
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: ClearParameters()");
	stmt.clearParameters();
    }
    
    public
    void setObject(int idx, Object x, int type, int scale)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetObject(" + idx + ", <object>, " + type + ", " + scale + ")");
	stmt.setObject(idx, x, type, scale);
    }

    public
    void setObject(int idx, Object x, int type)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetObject(" + idx + ", <object>, " + type + ")");
	stmt.setObject(idx, x, type);
    }

    public
    void setObject(int idx, Object x)
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: SetObject(" + idx + ", <object>)");
	stmt.setObject(idx, x);
    }

    public
    boolean execute()
    throws SQLException
    {
	log.write(Logger.DEBUG, "DS: execute()");
	return stmt.execute();
    }
    
    //
    // Methods from java.sql.Statement.
    // 
    public
    void close()
    throws SQLException
    {
	stmt.close();
    }

    public
    int getMaxFieldSize()
    throws SQLException
    {
	return stmt.getMaxFieldSize();
    }

    public
    void setMaxFieldSize(int max)
    throws SQLException
    {
	stmt.setMaxFieldSize(max);
    }

    public
    int getMaxRows()
    throws SQLException
    {
	return stmt.getMaxRows();
    }

    public
    void setMaxRows(int max)
    throws SQLException
    {
	stmt.setMaxRows(max);
    }

    public
    void setEscapeProcessing(boolean enable)
    throws SQLException
    {
	stmt.setEscapeProcessing(enable);
    }

    public
    int getQueryTimeout()
    throws SQLException
    {
	return stmt.getQueryTimeout();
    }

    public
    void setQueryTimeout(int seconds)
    throws SQLException
    {
	stmt.setQueryTimeout(seconds);
    }

    public
    void cancel()
    throws SQLException
    {
	stmt.cancel();
    }

    public
    SQLWarning getWarnings()
    throws SQLException
    {
	return stmt.getWarnings();
    }

    public
    void clearWarnings()
    throws SQLException
    {
	stmt.clearWarnings();
    }

    public
    void setCursorName(String name)
    throws SQLException
    {
	stmt.setCursorName(name);
    }

    public
    ResultSet getResultSet()
    throws SQLException
    {
	return stmt.getResultSet();
    }

    public
    int getUpdateCount()
    throws SQLException
    {
	return stmt.getUpdateCount();
    }

    public
    boolean getMoreResults()
    throws SQLException
    {
	return stmt.getMoreResults();
    }
    
    public
    ResultSet executeQuery(String s)
    throws SQLException
    {
	return stmt.executeQuery(s);
    }
    
    public
    int executeUpdate(String s)
    throws SQLException
    {
	return stmt.executeUpdate(s);
    }
    
    public
    boolean execute(String s)
    throws SQLException
    {
	return stmt.execute(s);
    }
}
