/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ObjectIdException.java,v 1.9.12.1 2000/10/19 17:59:05 jasona Exp $
 */





package	com.lutris.appserver.server.sql;

import com.lutris.util.ChainedException;

/**
 * Exception for object id failures.
 *
 * @since	LBS1.8
 * @author	Paul Morgan
 * @version	$Revision: 1.9.12.1 $
 */
public class ObjectIdException extends ChainedException {

    /**
     * Construct with required messsage.
     *
     * @param msg
     *   Detailed message describing the exception.
     */
    public ObjectIdException (String msg)
    {
        super (msg);
    }

    /**
     * Construct with a message and associated causing exception.
     *
     * @param msg
     *   the message associated with the exception.
     * @param cause
     *   the error or exception that cause this exception.
     */
    public ObjectIdException (String msg, Throwable cause) {
        super (msg, cause);
    }

    /**
     * Construct from a causing exception.
     *
     * @param cause
     *   the error or exception that cause this exception. The
     *   message will be this object's messasge.
     */
    public ObjectIdException (Throwable cause) {
        super (cause);
    }
}
