/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Product.java,v 1.7.8.1 2000/10/19 17:59:06 jasona Exp $
 */





package	com.lutris.appserver.server.sql.tests;

import com.lutris.appserver.server.sql.*;
import java.sql.*;

public class Product implements Transaction {
    
    private final String TABLE = "PRODUCTS";
    String name;
    float price;

    public String getName()
    {
        return name;
    }

    public float getPrice()
    {
        return price;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public void setPrice(float price)
    {
        this.price = price;
    }

    public void executeInsert(DBConnection conn)
        throws SQLException
    {
        String sql =
            "insert into " + TABLE + " " +
            "values(?, ?)";

        PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1, getName());
        stmt.setFloat(2, getPrice());
        conn.executeUpdate(stmt, sql);
    }

    public void executeUpdate(DBConnection conn)
        throws SQLException
    {
        String sql =
            "update " + TABLE + " " +
            "set PROD_NAME = ? , PRICE = ? " +
            "where PROD_NAME = ?";

        PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1, getName());
        stmt.setFloat(2, getPrice());
        stmt.setString(3, getName());
        conn.executeUpdate(stmt, sql);
    }

    public void executeDelete(DBConnection conn)
        throws SQLException
    {
    }

    public String toString()
    {
        return getName() + "\t$" + getPrice();
    }
            
}
