/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Enhydra.java,v 1.15.2.5.4.6 2000/12/12 05:10:47 builder Exp $
 */

package com.lutris;

/**
 * Provides static information, such as version number, about the software
 * contained in enhydra.jar.
 */
public class Enhydra {

    /**
     * Long name of Enhydra (with spaces).
     */
    private static final String ENHYDRA_LONG_NAME = "Lutris Enhydra";


    /**
     * Modify this field and the make macro in config.mk when changing
     * version numbers.
     */
    private static final String ENHYDRA_VERSION = "3.1";


    /**
     * Get long, English-language name for Enhydra.
     */
    public static final String getEnhydraLongName() {
        return ENHYDRA_LONG_NAME;
    }


    /**
     * Get the version number of Enhydra.
     */
    public static final String getEnhydraVersion() {
        return ENHYDRA_VERSION;
    }


    /**
     * Disallow instantiation.
     */
    protected Enhydra() {
    }

}
