/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: CommonErrorHander.java,v 1.10.10.1 2000/10/19 17:59:06 jasona Exp $
 */




/*
 * Class that has common error handling code use by all error
 * handlers.
 */
package com.acme.gui.presObjs.ErrorPO1;

import com.lutris.appserver.server.httpPresentation.*;

public class CommonErrorHander {
    public static void handleTestError(HttpPresentationComms comms,
                                       HttpPresentation errorHandler,
                                       boolean alwaysStop) throws Exception {
        
        String errorHandlerClass = errorHandler.getClass().getName();
        HttpPresentationOutputStream out = comms.response.getOutputStream();
        out.println("<CENTER>Error handler: " + errorHandlerClass + "<br>");
        
        boolean last = alwaysStop ||
            (errorHandlerClass.equals(comms.request.getParameter("LAST_ERROR_HANDLER")));

        if (last) {
            out.println("The buck stops here: " + comms.exception.getMessage());
        } else {
            out.println("Passing up: " + comms.exception.getMessage());
        }
        out.println("<br></CENTER><HR>");
        out.flush();
        if (!last) {
            throw (Exception)comms.exception;
        }
    }

    public static void handleTestError(HttpPresentationComms comms,
                                       HttpPresentation errorHandler) throws Exception {
        handleTestError(comms, errorHandler, false);
    }
}
