/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: TestPO1.java,v 1.11.10.1 2000/10/19 17:59:06 jasona Exp $
 */




/*
 * Test presentation object #1.
 */
package com.acme.gui.presObjs;

import com.lutris.util.*;
import com.lutris.appserver.server.session.*;
import com.lutris.appserver.server.httpPresentation.*;

public class TestPO1 implements HttpPresentation {
    private static final String html1 = "<TITLE>Harmony Presentaion Object: TestPO1</TITLE>\n" +
        "<H1>Hello, World</H1>\n" +
        "Brought to you by the Harmony presentation object!\n";

    public void run(HttpPresentationComms comms) throws Exception {
        comms.response.setContentType("text/html");

        comms.response.setStatus(HttpPresentationResponse.SC_OK, "Good job");

        HttpPresentationOutputStream out = comms.response.getOutputStream();
        out.print(html1);
        HttpDebug.displayComms(comms);

        
        out.println("<CENTER>");
        out.println("<H2>Auto Session Creation Check</H2>");
        if (comms.session == null) {
            out.print("*** No session object exists ***");
        } else {
            SessionData sessionData = comms.session.getSessionData();
            Integer cntr = (Integer)sessionData.get("TestPO1.counter");
            if (cntr == null) {
                out.print("First access to this page for this session<p>");
                sessionData.set("TestPO1.counter", new Integer(1));
            } else {
                cntr = new Integer(cntr.intValue()+1);
                out.print("Access " + cntr + " to this page for this session<p>");
                sessionData.set("TestPO1.counter", cntr);
            }
        }
        out.println("</CENTER>");
    }
}
