/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: PagedSessionUserTable.java,v 1.2.14.1 2000/10/19 17:59:06 jasona Exp $
 */

package com.lutris.appserver.server.session;
import com.lutris.appserver.server.Enhydra;
import java.util.Hashtable;
import java.util.Enumeration;
import com.lutris.logging.*;
import com.lutris.util.*;
import com.lutris.appserver.server.user.User;

/**
 * Table used by StandardSessionManager to cross reference <CODE>User</CODE>
 * objects and sessions.  This table does not hold references to the
 * user and session objects.  Instead it only cross-references the
 * session keys and user names.  An underlying assumption is that the
 * user name can be used as a unique reference to the user.
 *
 * N.B.  It is assumed that this class is only used by StandardSessionManager
 * and that it is responsible for providing high level locks instead of
 * synchronizing
 *
 * @version	$Revision: 1.2.14.1 $
 * @author      Kyle Clark
 */
class PagedSessionUserTable extends BasicSessionUserTable {

    /**
     * @param config
     *   configuration options for this table.
     */
    public PagedSessionUserTable(Config config) {
        super(config);
    }

}
