/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: create.c,v 1.1.2.3.2.1 2000/10/19 17:59:07 jasona Exp $
 */

#include "edir.h"

main()
{
    static char *funcName = "main";
    char buf[1024];
    edir_exception_t *_exc = NULL, **exc = &_exc;
    edir_ipc_handle_t *mutex;
    
    mutex = edir_mutex_create(NULL, 1, exc);
    if (*exc) EDIR_THROW(*exc);

    printf("Have mutex... Press <Enter> to release initial exclusive lock.\n");
    printf("Waiting for <Enter>: ");
    fflush(stdout);
    gets(buf);

    edir_mutex_unlock(mutex, 0, exc);
    if (*exc) EDIR_THROW(*exc);

    printf("Mutex unlocked... Press <Enter> to destroy mutex and exit.\n");
    printf("Waiting for <Enter>: ");
    fflush(stdout);
    gets(buf);

    edir_mutex_destroy(mutex, exc);
    if (*exc) EDIR_THROW(*exc);

    printf("Mutex destroyed.\n");

    exit(0);

except:
    if (*exc) {
	char *trace;
	trace = edir_exception_stack_trace(*exc);
	fprintf(stderr, "%s\n", trace);
	edir_free(trace);
	edir_exception_free(exc);
    }
    exit(1);
}
