/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: FileLine.java,v 1.6.12.1 2000/10/19 17:59:08 jasona Exp $
 */





package com.lutris.appserver.server.jolt.joltc;

import java.util.*;

/**
 * Class used to hold a line from the file being generated along 
 * with its source.
 */
class FileLine {
    public final String line;
    public final String srcFileName;
    public final int srcLineNum;

    /**
     * Construct a new FileLine record.
     */
    public FileLine (String line,
                     String srcFileName,
                     int srcLineNum) {
        this.srcFileName = srcFileName;
        this.srcLineNum = srcLineNum;
        this.line = line;
    }

    /**
     * Return string representation.
     */
    public String toString() {
        return srcFileName + ":" + srcLineNum + ":" + line;
    }
}
