/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ASTArg.java,v 1.8.12.1 2000/10/19 17:59:08 jasona Exp $
 */




package com.lutris.appserver.server.jolt.parser;

/**
 * This node is for ARGs in JOLT tags.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.8.12.1 $
 */
public class ASTArg extends SimpleNode
{
    private String name;
    private String value;

    ASTArg(int id)
    {
        super(id);
    }

    /**
     * Accept the visitor.
     */
    public Object jjtAccept(JoltParserVisitor visitor, Object data)
    {
        return visitor.visit(this, data);
    }

    /**
     * Set the arg name
     */
    public void setName(String name)
    {
        this.name = name;
    }

    /**
     * Get the arg name
     */
    public String getName()
    {
        return this.name;
    }

    /**
     * Set the arg value
     */
    public void setValue(String value)
    {
        this.value = value;
    }

    /**
     * Get the arg value
     */
    public String getValue()
    {
        return this.value;
    }

    public String toString()
    {
        return "Arg: " + this.name + "=" + this.value;
    }
}

