/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ASTDefinedConditional.java,v 1.8.12.1 2000/10/19 17:59:08 jasona Exp $
 */




package com.lutris.appserver.server.jolt.parser;

/**
 * This node is for defined conditionals in JOLT HTML and CALL.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.8.12.1 $
 */
public class ASTDefinedConditional extends SimpleNode
{
    private String operator;
    private String field;

    ASTDefinedConditional(int id)
    {
        super(id);
    }

    /**
     * Accept the visitor.
     */
    public Object jjtAccept(JoltParserVisitor visitor, Object data)
    {
        return visitor.visit(this, data);
    }

    /**
     * Set the operator
     */
    public void setOperator(String operator)
    {
        this.operator = operator;
    }

    /**
     * Get the operator
     */
    public String getOperator()
    {
        return this.operator;
    }

    /**
     * Set the field
     */
    public void setField(String field)
    {
        this.field = field;
    }

    /**
     * Get the field
     */
    public String getField()
    {
        return this.field;
    }

    public String toString()
    {
        return "DefinedConditional: " + this.operator + " " + this.field;
    }
}

