/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ASTInclude.java,v 1.8.12.1 2000/10/19 17:59:08 jasona Exp $
 */




package com.lutris.appserver.server.jolt.parser;

/**
 * This node is for JOLT INCLUDE.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.8.12.1 $
 */
public class ASTInclude extends SimpleNode
{
    private String filename;
    private int beginLine;

    ASTInclude(int id)
    {
        super(id);
    }

    /**
     * Accept the visitor.
     */
    public Object jjtAccept(JoltParserVisitor visitor, Object data)
    {
        return visitor.visit(this, data);
    }

    /**
     * Set the filename
     */
    public void setFilename(String filename)
    {
        this.filename = filename;
    }

    /**
     * Get the filename
     */
    public String getFilename()
    {
        return this.filename;
    }

    /**
     * Set the beginning line for the node.
     */
    public void setBeginLine(int beginLine)
    {
        this.beginLine = beginLine;
    }

    /**
     * Get the beginning line for the node.
     */
    public int getBeginLine()
    {
        return this.beginLine;
    }

    public String toString()
    {
        return "Include: " + this.filename;
    }
}

