/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: JoltFieldException.java,v 1.13.12.1 2000/10/19 17:59:08 jasona Exp $
 */





package com.lutris.appserver.server.jolt.parser;

/**
 * Exception for invalid JoltHtml field.
 *
 * @version	$Revision: 1.13.12.1 $
 * @author	Mark Diekhans
 * @since	Jolt1.0
 */
public class JoltFieldException extends Exception {
    /**
     * Name of file where the error occured.
     */
    public final String fileName;

    /**
     * Line number within file where the error occured.
     */
    public final int lineNum;

    /**
     * Constructor
     *
     * @msg Detailed message describing the error.
     */
    public JoltFieldException (String msg,
                               String fileName,
                               int lineNum) {
        super (msg);
        this.fileName = fileName;
        this.lineNum = lineNum;
    }
}
