/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */

package org.enhydra.kelp.common.bridge;

// XMLC imports - 1.x and 2.x
import org.enhydra.xml.xmlc.dom.XMLCDocument;
import org.w3c.dom.*;

//
public class PrintInfoV2 extends PrintInfo {

    public PrintInfoV2(Document doc, XMLCDocument xmlcDoc) {
      super(doc, xmlcDoc);
    }


    /**
     * Append URLs from an element.
     */
    protected void getElementURLs(Element element, XMLCDocument xmlcDoc) {
        NamedNodeMap attrs = element.getAttributes();

        if (attrs != null) {
            for (int idx = 0; idx < attrs.getLength(); idx++) {
                Attr attr = (Attr) attrs.item(idx);

                if (xmlcDoc.isURLAttribute(element, attr.getNodeName())) {
                    urls.addElement(attr.getValue());
                }
            }
        }
    }

}
