/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */

 package org.enhydra.kelp.common.map;

// Standard imports
import java.util.ArrayList;
import java.util.Arrays;

//
public class MapEntry {
    private String from = new String();
    private String to = new String();


    public MapEntry(String f, String t) {
        from = f.trim();
        to = t.trim();
    }

    public String getFrom() {
      return from.trim();
    }

    public String getTo() {
      return to.trim();
    }

    public boolean equals(Object o) {
        boolean eq = false;

        if (o instanceof MapEntry) {
            MapEntry e = (MapEntry) o;

            eq = e.from.equals(from) && e.to.equals(to);
        }
        return eq;
    }

    /**
     *
     */
    public boolean canReduce(MapEntry e) {
        boolean reduce = false;
        String  fromRemains = new String();
        String  toRemains = new String();

        if (from.length() >= e.from.length()
                || to.length() >= e.to.length()) {
            reduce = false;
        } else if (e.from.startsWith(from) && e.to.startsWith(to)) {
            fromRemains = e.from.substring(from.length());
            toRemains = e.to.substring(to.length());
            fromRemains = fromRemains.replace('/', '.');
            reduce = fromRemains.equals(toRemains);
        }
        return reduce;
    }

}
