/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.common.wizard;

// Kelp imports
import org.enhydra.kelp.common.node.OtterProject;

// Standard imports
import java.awt.*;
import java.beans.*;
import javax.swing.JPanel;

/**
 * Class declaration
 * While this class really should be abstract, it is not so that
 * derived classed may be designed using the JBuilder UI designer.
 *
 *
 * @author Paul Mahar
 */
public class AbstractPropertyPanel extends JPanel {

    // strings not to be resourced
    private final String EXCEPTION_READ_PROPERTIES =
        "AbstractPropertyPanel.readProperties() should be overwritten";
    private final String EXCEPTION_WRITE_PROPERTIES =
        "AbstractPropertyPanel.writeProperties() should be overwritten";

    //
    public OtterProject  project = null;

    /**
     * Constructor declaration
     *
     *
     */
    public AbstractPropertyPanel() {}

    /**
     * Method declaration
     *
     *
     * @return
     */
    public OtterProject getProject() {
        return project;
    }

    /**
     * Method declaration
     *
     *
     * @param p
     */
    public void setProject(OtterProject p) {
        project = p;
    }

    /**
     * Method declaration
     *
     */
    public void readProperties() {
        throw new RuntimeException(EXCEPTION_READ_PROPERTIES);
    }

    /**
     * Method declaration
     *
     */
    public void writeProperties() {
        throw new RuntimeException(EXCEPTION_WRITE_PROPERTIES);
    }

}
