/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.jbuilder.properties;

// JBuilder imports
import com.borland.primetime.properties.PropertyPage;
import com.borland.primetime.help.HelpTopic;
import com.borland.primetime.node.TextFileNode;
import com.borland.primetime.help.ZipHelpTopic;

// Kelp imports
import org.enhydra.kelp.KelpInfo;
import org.enhydra.kelp.common.node.OtterTemplateNode;
import org.enhydra.kelp.common.wizard.deploy.TemplateNodePropertyPanel;
import org.enhydra.kelp.jbuilder.node.PrimeTemplateNode;

// Standard imports
import java.awt.BorderLayout;

//
public class TemplateNodePropertyPage extends PropertyPage {

    // string not to be resourced
    private final String              HELP_LINK = KelpInfo.HELP_DOC
            + "#confnode";    // nores

    //
    private TemplateNodePropertyPanel nodePanel =
        new TemplateNodePropertyPanel();
    private BorderLayout              layoutMain = new BorderLayout();

    public TemplateNodePropertyPage(Object topic) {
        OtterTemplateNode otterNode;

        if (topic instanceof TextFileNode) {
            try {
                otterNode = new PrimeTemplateNode((TextFileNode) topic);
                nodePanel.setNode(otterNode);
                jbInit();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void readProperties() {
        nodePanel.readProperties();
    }

    public HelpTopic getHelpTopic() {
        ZipHelpTopic t = new ZipHelpTopic(null, HELP_LINK);

        return t;
    }

    public void writeProperties() {
        nodePanel.writeProperties();
    }

    public TemplateNodePropertyPage() {
        try {
            jbInit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        this.setLayout(layoutMain);
        this.add(nodePanel, BorderLayout.CENTER);
    }

}
