/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.jdeveloper.node;

// Kelp imports
import org.enhydra.kelp.common.PropUtil;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.node.OtterTemplateNode;

// JDeveloper imports
import borland.jbuilder.addin.Node;

// Standard imports
import java.io.File;

/**
 * Class declaration
 *
 *
 * @author Paul Mahar
 */
public class OracleTemplateNode extends OracleNode
    implements OtterTemplateNode {

    public OracleTemplateNode(Node nativeNode) {
        super(nativeNode);
    }

    /**
     * Constructor declaration
     *
     * @param otterNode
     * @param path
     */
    public OracleTemplateNode(OtterNode otterNode, String path) {
        super(otterNode, path);
    }

    public boolean isBootstrap() {
        boolean boot = false;
        String  outPath = new String();
        String  bootPath = new String();

        if (isSelected()) {
            outPath = getOutputFile().getAbsolutePath().replace('\\', '/');
            bootPath = getProject().getDeployBootstrapPath().replace('\\',
                    '/');
            if (outPath.trim().equalsIgnoreCase(bootPath.trim())) {
                boot = true;
            }
        }
        return boot;
    }

    public File getOutputFile() {
        File         out = null;
        StringBuffer path = new StringBuffer();
        String       templatePath = getFilePath().replace('\\', '/');

        path.append(getProject().getDeployRootPath());
        if (templatePath.startsWith(getProject().getDeployInputPath())) {
            int start = getProject().getDeployInputPath().length();
            int end = templatePath.length() - 3;

            path.append(templatePath.substring(start, end));
        } else {
            File f = new File(templatePath);

            path.append(f.getName().substring(0, f.getName().length() - 3));
        }
        out = new File(path.toString());
        return out;
    }

}
