/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.kelp.jdeveloper.wizard;

// Kelp imports
import org.enhydra.kelp.common.wizard.codegen.WebAppUtil;
import org.enhydra.kelp.common.wizard.codegen.AppGenUtil;
import org.enhydra.kelp.common.wizard.codegen.CodeGenException;

// JDeveloper imports
import borland.jbuilder.addin.Context;
import borland.jbuilder.addin.IdeEnvironment;

// Standard imports
import javax.swing.JOptionPane;
import java.util.Vector;
import java.util.ResourceBundle;

/**
 * Class declaration
 *
 * @author Paul Mahar
 */
public class WebAppWizard extends AbstractCodeGenWizard {
    //
    public String getDisplayName() {
        return WebAppUtil.getDisplayName();
    }

    /**
     * Method declaration
     *
     *
     * @param ide
     * @param context
     */
    public void invoke(IdeEnvironment ide, Context context) {
        AppGenUtil util = null;

        if (isJava2(ide)) {
            try {
                util = new WebAppUtil();
                invokeWizard(ide, context, util);
            } catch (CodeGenException e) {
                e.printStackTrace();
                JOptionPane.showMessageDialog(ide.getIdeFrame(),
                                              e.getMessage());
            }
        }
    }

    /**
     * Method declaration
     *
     *
     * @return
     */
    public String[] getSteps() {
        Vector   steps = new Vector();
        String[] array = new String[0];

        steps.addElement(res.getString("readmeWeb1"));
        steps.addElement(res.getString("readmeWeb2"));
        steps.addElement(res.getString("readmeWeb3"));
        steps.addElement(res.getString("readmeWeb4"));
        steps.addElement(res.getString("readmeWeb5"));
        array = (String[]) steps.toArray(array);
        steps.removeAllElements();
        return array;
    }

}
