/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: AdminUser.java,v 1.6.14.1 2000/10/19 17:59:08 jasona Exp $
 */





package com.lutris.appserver.admin;

import com.lutris.appserver.server.user.User;

/**
 *  This class provides a User object. There should only be one administrator
 *  logged in at a time, but if more than one does they will share the same
 *  User object.
 */
public class AdminUser implements User {

    /**
     *  Use this User object when someone logs in.
     */
    protected static AdminUser sharedUser = new AdminUser("Administrator");


    /**
     *  The user's name.
     */
    private String username;


    /**
     *  Only create one instance.
     */
    private AdminUser(String username) {
        this.username = username;
    }


    /**
     *  Returns the username of the user.
     * 
     * @return The user's name.
     */
    public String getName() {
        return username;
    }

}

