/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Debug.java,v 1.10.10.1 2000/10/19 17:59:08 jasona Exp $
 */





package com.lutris.appserver.admin.presentation;
 
import com.lutris.appserver.server.httpPresentation.*;
import com.lutris.util.*;

/**
 *  Debugging used to be hidden initially, until the user typed in this
 *  URL to enable it. Now it is always turned on. So this class will be
 *  going away in the future.
 */
public class Debug implements HttpPresentation {
    /**
     *
     * Redirect to the debug enabled Admin interface.
     *
     */
    public void run(HttpPresentationComms comms) {
	try {
	    comms.sessionData.set("debug", "yes");
	} catch (KeywordValueException e) {
	    // Will never occur because hard coded and valid name
	}
        throw new ClientPageRedirectException("Admin.po");
    }
}
