/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: PreferencesPanel.java,v 1.9.6.1 2000/10/19 17:59:08 jasona Exp $
 */






/* This file was created and edited with tabstops set to 8.
 * If you are using "vi" to edit this file, enter the command:
 * 
 *        :set ts=8
 *
 * to set the tabstops to 8.
 */
package com.lutris.appserver.admin.presentation.monitor.gui;


import java.awt.*;
import java.util.*;
import java.text.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.*;
import jclass.chart.*;


/**
 */
class PreferencesPanel
extends JPanel
implements DynamicPanel, ChangeListener {

    private static final String UPDATE_PANEL_TITLE = "Update Interval";

    MonitorPanel monitorPanel;
    JSlider updateIntervalSlider;
    JPanel updatePanel;
    TitledBorder updatePanelBorder;


    PreferencesPanel(MonitorPanel newMonitorPanel) {
        super(new GridBagLayout());

	monitorPanel = newMonitorPanel;

	updatePanel = new JPanel(new GridBagLayout());
	updatePanel.setMinimumSize(new Dimension(300, 80));
	
	GridBagConstraints gc = new GridBagConstraints();
	gc.gridx = 0;
	gc.gridy = 0;
	//gc.weightx = 1;
	//gc.fill = GridBagConstraints.HORIZONTAL;
	gc.insets = new Insets(MonitorPanel.GRAPH_PANEL_INSET_TOP,
			       MonitorPanel.GRAPH_PANEL_INSET_LEFT,
			       MonitorPanel.GRAPH_PANEL_INSET_BOTTOM,
			       MonitorPanel.GRAPH_PANEL_INSET_RIGHT);
	add(updatePanel, gc);

	updatePanelBorder = new TitledBorder(UPDATE_PANEL_TITLE+" = "+
	monitorPanel.getUpdateIntervalInSeconds()+" seconds");
	updatePanel.setBorder(updatePanelBorder);

	updateIntervalSlider = new JSlider(MonitorPanel.UPDATE_INTERVAL_MIN,
					   MonitorPanel.UPDATE_INTERVAL_MAX,
				   monitorPanel.getUpdateIntervalInSeconds());
	/*
	updateIntervalSlider.setPaintTicks(true);
	updateIntervalSlider.setMajorTickSpacing(30);
	updateIntervalSlider.setMinorTickSpacing(5);
	updateIntervalSlider.setPaintLabels(true);
	updateIntervalSlider.setSnapToTicks(true);

	updateIntervalSlider.getLabelTable().put(new Integer(10),
						 new JLabel("XX"));
	*/

	updateIntervalSlider.addChangeListener(this);

	gc = new GridBagConstraints();
	gc.gridx = 0;
	gc.gridy = 0;
	gc.weightx = 1;
	gc.fill = GridBagConstraints.HORIZONTAL;
	updatePanel.add(updateIntervalSlider, gc);
    }


    public void stateChanged(ChangeEvent e) {

	if (e.getSource() == updateIntervalSlider) {

	    if (updateIntervalSlider.getValueIsAdjusting() == true) {

		updatePanelBorder.setTitle(UPDATE_PANEL_TITLE+" = "+
		updateIntervalSlider.getValue()+" seconds");
		updatePanel.repaint();

		/* Don't set the update interval until the user
		 * stops dragging it.
		 */
		return;
	    }

	    System.out.println("Setting interval to "+
		updateIntervalSlider.getValue()+" seconds.");

	    monitorPanel.setUpdateIntervalInSeconds(
		updateIntervalSlider.getValue());
	}

    }


    public void startUpdate() {
    }


    public void stopUpdate() {
    }


    public void setUpdateIntervalInSeconds(int updateIntervalInSeconds) {
    }
}
