/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: RequestsDataSource.java,v 1.13.6.1 2000/10/19 17:59:08 jasona Exp $
 */






/* This file was created and edited with tabstops set to 8.
 * If you are using "vi" to edit this file, enter the command:
 * 
 *        :set ts=8
 *
 * to set the tabstops to 8.
 */
package com.lutris.appserver.admin.presentation.monitor.gui;


import java.awt.*;
import java.util.*;
import java.io.*;
import java.net.*;
import javax.swing.event.*;
import javax.swing.*;
import jclass.chart.*;
import com.lutris.appserver.admin.presentation.monitor.io.*;


/**
 * This class contains the data that the JClass JCChart object will
 * see.  It implements the jclass.chart.Chartable interface.
 * This class also gives the graph panel access to other data values
 * it will display.  For example, a max value or total count.
 * <P></P>
 * Currently, almost all the functionality is in the parent
 * class MonitorDataSource.  Later, when we start to implement
 * other data sources because RequestsDataSource,
 * (e.g. SessionsDataSource, DBConnectionsDataSource),
 * we will pull some of the data specific code down into this
 * class.
 */
class RequestsDataSource
extends MonitorDataSource {

    private int hackCount = 0;

    RequestsDataSource(JApplet newApplet) {
	super(newApplet);
    }


    BaseRequest createRequest() {

	RequestsRequest dataRequest = new RequestsRequest();
	dataRequest.startTime = null;
	dataRequest.endTime = null;
	dataRequest.maxDataPoints = 1000;

	/* This tells the MonitorDataServer which hard coded
	 * data we want.  This is a hack until the MonitorDataServer
	 * is written to really look at the start and end time values.
	 *
	 */
	dataRequest.hackValue = hackCount++;

	return(dataRequest);
    }
}
