/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: EnhydraDirectorBadStateException.java,v 1.3.2.1.2.1 2000/10/19 17:59:09 jasona Exp $
 */

package org.enhydra.servlet.connectionMethods.EnhydraDirector;

import java.io.IOException;

/**
 * Exception to signal that an EnhydraDirector connection has gotten
 * into an unexpeceted state, or that one of its public methods
 * has been called while the connection is in an incorrect state.
 */
public class EnhydraDirectorBadStateException extends IOException
{
    /**
     * Create a new exception object with no message text.
     */
    public
    EnhydraDirectorBadStateException()
    {
	super();
    }

    /**
     * Create a new exception object with message text.
     * 
     * @param msg The message text.
     */
    public
    EnhydraDirectorBadStateException(String msg)
    {
	super(msg);
    }
}

