/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: PrintTransactionInitInterceptor.java,v 1.4.12.1 2000/10/19 17:59:10 jasona Exp $
 */

package org.enhydra.servlet.filter;

import java.io.PrintWriter;
import java.io.IOException;
import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.tomcat.core.LifecycleInterceptor;
import org.apache.tomcat.core.Context;


class PrintTransactionInitInterceptor implements LifecycleInterceptor {

    private String          prefix;
    private PrintWriter     out;
    private Servlet         srv;

    PrintTransactionInitInterceptor(Servlet srv, String prefix,
	    PrintWriter out) {

        this.prefix = prefix;
        this.out = out;
        this.srv = srv;
    }

    public void preInvoke(Context context, Servlet servlet) {
        out.println(prefix + servlet + ".init()");
    }

    public void postInvoke(Context context, Servlet servlet) {
    }
}

