/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: PrintTransactionStringEnum.java,v 1.4.12.1 2000/10/19 17:59:10 jasona Exp $
 */

package org.enhydra.servlet.filter;

import java.util.Enumeration;
import java.util.Vector;
import java.io.PrintWriter;


class PrintTransactionStringEnum implements Enumeration {

    private PrintWriter     out;
    private String          prefix;
    private Vector          myStrings;

    PrintTransactionStringEnum(String prefix, PrintWriter out, Enumeration e) {
        this.out = out;
        this.prefix = prefix;
        myStrings = new Vector();
        int i = 0;
        if ((e != null) && e.hasMoreElements())
            while (e.hasMoreElements()) {
                String s = (String) e.nextElement();
                out.println(prefix + " " + i++ + " = " + s);
                myStrings.addElement(s);
            } 
        else if (e != null)
            out.println(prefix + " = <empty enumeration>");
        else
            out.println(prefix + " = <NULL enumeration>");
        out.flush();
    }

    public boolean hasMoreElements() {
        return !myStrings.isEmpty();
    }

    public Object nextElement() {
        if (myStrings.isEmpty())
            return null;
        else {
            String s = (String) myStrings.firstElement();
            myStrings.removeElement(s);
            return s;
        }
    }
}

