/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: ServletStatistics.java,v 1.4.12.1 2000/10/19 17:59:10 jasona Exp $
 */

package org.enhydra.servlet.servletManager;

 
/**
 *  This class holds the historical request-per-minute data for an
 *  application.
 *
 *  @see org.enhydra.servlet.servletManager.ServletManager
 *  @author Andy John
 */
public class ServletStatistics {

    /**
     *  Protected contructor. Only a ServletManager should create 
     *  instances of this class.
     *
     *  @see org.enhydra.servlet.servletManager.ServletManager
     */
    protected ServletStatistics() {
    }

    /**
     *  The array of values. Each value is the number of requests per
     *  minute that the servet recieved. 
     */
    public double[] RPMValues;

    /**
     *  An array of times. Each element records the time when
     *  the corresponding element of <CODE>RPMValues</CODE> was measured.
     *  The values are milliseconds, as returned by
     *  <CODE>system.currentTimeMillis()</CODE>.
     */
    public long[] RPMTimes;

}
 
