package com.simscomputing.testbed;

import java.io.File;
import java.lang.reflect.*;
import java.net.*;
import java.util.StringTokenizer;

/**
Loads a class given its class name (eg, java.lang.String) and
prepares to exercise it.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:33 $
*/
public class ClassTester extends FileTester {
  private String classname;

  public ClassTester(final String newClassname) throws TesterException {
    System.out.println("ClassTester: class name = " + newClassname);
    classname = newClassname;
    reset();
  } // constructor

  public String getName() {
    return classname;
  } // getName()

  protected Class loadSpecialClass(final FileSystemClassLoader fileSystemClassLoader)
    throws ClassNotFoundException {
    return fileSystemClassLoader.loadClass(classname, false);
  } // loadSpecialClass()
} // class ClassTester
