package com.simscomputing.testbed;

import java.lang.reflect.Method;

/**
Unit test for the ClearBox class.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:33 $ */
public class ClearBoxTest extends TestCaseCollection {
  /**
  A trivial test.
  */
  public void runTestTrivial() {
  }

  public void runTestFailure() {
//    assert(false, "x is 23");
  }

//  public void runTestAbnormalFailure() {
//    throw new NullPointerException();
//  }

  public void runTestTrivial2() {
  }

  public void runTestGetField() {
    try {
      PrivateClass privateClass = new PrivateClass(17);
      // privateClass.aPrivateField = 17; cannot normally access 'aPrivateField'
      Integer integer = (Integer) ClearBox.getField(privateClass, "privateInt");
      assert(integer.intValue() == 17, "the private field should be 17");
    } // try
    catch (NoSuchFieldException e) {
      assert(false, "the private field should be reached through the ClearBox class");
    } // catch
  } // runTestGetField()

  public void runTestSetField() {
    try {
      PrivateClass privateClass = new PrivateClass(17);
      // privateClass.aPrivateField = 17; cannot normally access 'aPrivateField'
      Integer integer = (Integer) ClearBox.getField(privateClass, "privateInt");
      assert(integer.intValue() == 17, "the private field should be 17");

      // now change the value to something else
      ClearBox.setField(privateClass, "privateInt", new Integer(42));

      // finally, verify that the new value has been assigned
      integer = (Integer) ClearBox.getField(privateClass, "privateInt");
      assert(integer.intValue() == 42, "the private field should be 42");
    } // try
    catch (NoSuchFieldException e) {
      assert(false, "the private field should be reached through the ClearBox class");
    } // catch
  } // runTestSetField()

//    public void runTestConstructor() {
//      try {
//        // PrivateClass privateClass = new PrivateClass(); cannot normally access this private constructor
//        Object newInstance = ClearBox.createNewInstance("pc", null, null);

//        pc privateClass = (pc) newInstance;
//        assert(privateClass.getValue() == -1, "should be able to create the new object and access its fields");
//      } // try
//      catch (Exception e) {
//        e.printStackTrace();
//        assert(false, "could not access private constructor");
//      } // catch
//    } // runTestField()

//    public void runTestMethod() {
//      pc privateClass = new pc(42);
//      // privateClass.getValue(); cannot access private method

//      try {
//        Method privateMethod = ClearBox.getMethod(privateClass, "getClassxxxxxxxxx", null);
//        Class c = (Class) privateMethod.invoke(privateClass, null);
//        System.out.println("c is " + c);
//  //        assert(result.intValue() == 42, "values should match");
//      } // try
//      catch (Exception e) {
//        e.printStackTrace();
//        assert(false, "could not access private constructor");
//      } // catch
//    }

  public static class PrivateClass {
    private int privateInt;

    public PrivateClass(int newInt) {
      privateInt = newInt;
    } // constructor

    public int getPrivateInt() {
      return privateInt;
    } // getPrivateInt()
  } // class PrivateClass
} // class ClearBoxTest
