package com.simscomputing.testbed;

/**
Contains a snapshot of progress made in exercising a TestCaseCollection.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:35 $
*/
public class TesterProgress {
  private int numberOfTestsExercised;
  private int totalNumberOfTestsToExercise;
  private String testCaseBeingExercised;
  private TestResult[] testResults;

  public TesterProgress(int numberOfTestsExercised,
                        int totalNumberOfTestsToExercise,
                        String testCaseBeingExercised,
                        TestResult[] testResults) {
    this.numberOfTestsExercised = numberOfTestsExercised;
    this.totalNumberOfTestsToExercise = totalNumberOfTestsToExercise;
    this.testCaseBeingExercised = testCaseBeingExercised;
    this.testResults = testResults;
  } // constructor

  public int getNumberOfTestsExercised() {
    return numberOfTestsExercised;
  } // getNumberOfTestsExercised()

  public int getTotalNumberOfTestsToExercise() {
    return totalNumberOfTestsToExercise;
  } // getTotalNumberOfTestsToExericse()
  
  public boolean isDone() {
    return numberOfTestsExercised == totalNumberOfTestsToExercise;
  } // isDone()

  public String getTestCaseBeingExercised() {
    return testCaseBeingExercised;
  } // getTestCaseBeingExercised()
    
  public TestResult getTestResult(int index) {
    return testResults[index];
  } // getTestResult()

  public String toString() {
    return "# tests exercised = " + numberOfTestsExercised +
      ", total tests = " + totalNumberOfTestsToExercise +
      ", case being exercised = " + testCaseBeingExercised +
      ", test result length = " + testResults.length;
  } // toString()
} // class TesterProgress
