package com.simscomputing.testbed.gui;

import com.simscomputing.util.ApplicationProperties;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Insets;

import javax.swing.JDesktopPane;
import javax.swing.JFrame;
import javax.swing.JMenu;


/**
Storage place for various resouces used by the GUI.

@author David Sims
@author Dave Lamy
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:36 $
*/
public final class Resources {
  public static final String    APPLICATION_NAME =               "simscomputing.Test Bed";
  public static final String    SHORT_APPLICATION_NAME =         "Test Bed";
  public static final char      APPLICATION_NAME_MNEMONIC =      's';
  public static final char      SHORT_APPLICATION_NAME_MNEMONIC = 't';

  public static final String    APPLICATION_MENU_RUN_CLASS =          "Run Test Case Collection...";
  public static final char      APPLICATION_MENU_RUN_CLASS_MNEMONIC = 'r';
  public static final String    APPLICATION_MENU_RUN =          "Run Test Case Collection Class File...";
  public static final char      APPLICATION_MENU_RUN_MNEMONIC = 't';
  public static final String    APPLICATION_MENU_RUN_DIRECTORY = "Run Directory of Test Case Collection Class Files...";
  public static final char      APPLICATION_MENU_RUN_DIRECTORY_MNEMONIC = 'd';
  public static final String    APPLICATION_MENU_RUN_DIRECTORY_RECURSIVE = "Run Recursive Directory of Test Case Collection Class Files...";
  public static final char      APPLICATION_MENU_RUN_DIRECTORY_RECURSIVE_MNEMONIC = 'c';

  public static final String    APPLICATION_MENU_OPEN_CLASS =          "Open Test Case Collection...";
  public static final char      APPLICATION_MENU_OPEN_CLASS_MNEMONIC = 'o';
  public static final String    APPLICATION_MENU_OPEN =          "Open Test Case Collection Class File...";
  public static final char      APPLICATION_MENU_OPEN_MNEMONIC = 'c';
  public static final String    APPLICATION_MENU_OPEN_DIRECTORY = "Open Directory of Test Case Collection Class Files...";
  public static final char      APPLICATION_MENU_OPEN_DIRECTORY_MNEMONIC = 'i';
  public static final String    APPLICATION_MENU_OPEN_DIRECTORY_RECURSIVE = "Open Recursive Directory of Test Case Collection Class Files...";
  public static final char      APPLICATION_MENU_OPEN_DIRECTORY_RECURSIVE_MNEMONIC = 'e';

  public static final String    APPLICATION_MENU_EXIT =          "Exit";
  public static final char      APPLICATION_MENU_EXIT_MNEMONIC = 'x';

  public static final String    EDIT_MENU =                      "Edit";
  public static final char      EDIT_MENU_MNEMONIC =             'e';
  public static final String    EDIT_MENU_CUT =                  "Cut";
  public static final char      EDIT_MENU_CUT_MNEMONIC =         't';
  public static final String    EDIT_MENU_COPY =                 "Copy";
  public static final char      EDIT_MENU_COPY_MNEMONIC =        'c';
  public static final String    EDIT_MENU_PASTE =                "Paste";
  public static final char      EDIT_MENU_PASTE_MNEMONIC =       'p';
  public static final String    EDIT_MENU_DEL =                  "Delete";
  public static final char      EDIT_MENU_DEL_MNEMONIC =         'd';

  public static final String    WINDOW_MENU =                    "Window";
  public static final char      WINDOW_MENU_MNEMONIC =           'w';
  public static final String    HELP_MENU =                      "Help";
  public static final char      HELP_MENU_MNEMONIC =             'h';
  public static final String    HELP_MENU_ABOUT =                "About...";
  public static final char      HELP_MENU_ABOUT_MNEMONIC =       'a';
  public static final Dimension APPLICATION_SIZE =               new Dimension(1024, 768);
  public static final Dimension INTERNAL_FRAME_SIZE =            new Dimension(800, 600);
  public static final int       INSET =                          7;
  public static final Insets    INSETS =                         new Insets(INSET, INSET, INSET, INSET);

  // D Lamy stuff!
  public static final String    PROPERTIES_FILE_NAME =           System.getProperty("user.home", ".") +
                                                                 System.getProperty("file.separator", "\\") + 
                                                                 "testbed.properties";
  public static final int       MAX_MRU_ENTRIES =                8;
  public static final String    MRU_PROPERTY_PREFIX =            "testbed.mru";
  public static final String    MRU_PREFIX_SEPARATOR =           ":  ";
  public static final String    MRU_CLASS_PREFIX =                "class";
  public static final String    MRU_FILE_PREFIX =                "file";
  public static final String    MRU_DIRECTORY_PREFIX =           "directory";
  public static final String    MRU_RECURSIVE_DIRECTORY_PREFIX = "recursive directory";
  public static final String    MRU_OPEN =                       "open";
  public static final String    MRU_RUN =                        "run";
  public static final String    MRU_OPENRUN_SEPARATOR =          " ";

  public static final Color YELLOW = new Color(255, 128, 64);
  public static final Color RED = new Color(222, 56, 33);
  public static final Color GREEN = new Color(45, 210, 57);

  private static JMenu windowMenu;
  private static JFrame mainFrame;
  private static JDesktopPane desktop;
  private static ApplicationProperties appProperties;

  ///////////////
  // accessors //
  ///////////////

  public static JMenu getWindowMenu() {
    return windowMenu;
  }

  public static JFrame getMainFrame() {
    return mainFrame;
  }

  public static JDesktopPane getDesktop() {
    return desktop;
  }

  public static ApplicationProperties getProperties() {
    return appProperties;
  }


  //////////////
  // mutators //
  //////////////

  public static void setWindowMenu(JMenu windowMenu) {
    Resources.windowMenu = windowMenu;
  }

  public static void setMainFrame(JFrame mainFrame) {
    Resources.mainFrame = mainFrame;
  }

  public static void setDesktop(JDesktopPane desktop) {
    Resources.desktop = desktop;
  } // setDesktop()

  public static void setProperties(ApplicationProperties properties) {
    Resources.appProperties = properties;
  }
} // class Resources









