package com.simscomputing.testbed.gui;

import com.simscomputing.testbed.TestResult;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import javax.swing.AbstractListModel;

public class TestCaseCollectionListModel extends AbstractListModel {
  final List /* ObjectTestResultPair */ elements = new ArrayList();
//    final List testResults = new ArrayList();

  public void add(final String element, final TestResult testResult) {
    ObjectTestResultPair pair = new ObjectTestResultPair(element, testResult);

    if (!elements.contains(pair)) {
      elements.add(pair);
      // fixme: would have liked to use something like SortedList instead
//        Collections.sort(elements);

      fireContentsChanged(this, getSize(), getSize());
    } // if
  } // add()

  public Object getElementAt(final int index) {
    if (index < elements.size()) {
      return elements.get(index);
    } // if

    return "";
  } // getElementAt()

  public int getSize() {
    return elements.size();
  } // getSize()

  public void clear() {
    elements.clear();
//      testResults.clear();
    fireContentsChanged(this, getSize(), getSize());
  } // clear()

  public TestResult getTestResult(final int index) {
    return ((ObjectTestResultPair) elements.get(index)).testResult;
  } // getTestResult()

  ///////////////////
  // inner classes //
  ///////////////////

  private class ObjectTestResultPair implements Comparable {
    private String object;
    private TestResult testResult;

    private ObjectTestResultPair(String object, TestResult testResult) {
      this.object = object;
      this.testResult = testResult;
    } // constructor

    public boolean equals(Object object) {
//        System.out.println("comparing " + this.object + " with " + object);

//        System.out.print("equals!   ");
      if (!(object instanceof ObjectTestResultPair)) {
//          System.out.println("hard coded false");
        return false;
      } // if
      
      ObjectTestResultPair pair = (ObjectTestResultPair) object;

//        System.out.println(this.object.getClass().getName() + " -> " +
//                           object.getClass().getName());
//        System.out.println(this.object.equals(object));
      return this.object.equals(pair.object);
    } // equals()

    public String toString() {
      return object;
    } // toString()

    public int compareTo(Object object) {
      ObjectTestResultPair pair = (ObjectTestResultPair) object;

      return this.object.compareTo(pair.object);
    } // compareTo()
  } // class ObjectTestResultPair
} // class TestCaseCollectionListModel
