// Common: classes common to many projects
// Copyright 1999 Sims Computing
// This software is licensed under the GNU General Public License,
// available at http://www.gnu.org/copyleft/gpl.html.

package com.simscomputing.util;

import com.simscomputing.SoftwareFaultException;

/**
Thrown when a programmer's assertion is not satisfied.  This exception
is a subclass of RuntimeException because AssertionException should be
thrown only in the event of a programmer error.

@author David Sims
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:36 $ */
public class AssertionException extends SoftwareFaultException {
  /**
  Constructs the object with the specified error message.

  @param String - the error message
  */
  public AssertionException(String message) {
    super(message);
  } // constructor
} // class AssertionException
