// Common: classes common to many projects
// Copyright 1999 Sims Computing
// This software is licensed under the GNU General Public License,
// available at http://www.gnu.org/copyleft/gpl.html.

package com.simscomputing.util;

import com.simscomputing.SoftwareFaultException;

/**
Thrown when an invariant is not satisfied.
This exception is a subclass of RuntimeException because
BrokenContractException should be thrown only in the event of a programmer
error.

@author <a href="http://www.simscomputing.com/>Sims Computing</a>
@version $Revision: 1.1.1.1 $ $Date: 2000/02/21 21:22:36 $
*/
public class UnsatisfiedInvariantException extends BrokenContractException {
  /**
  Indicates that a precondition was not satisifed.

  @param String - the error message
  */
  public UnsatisfiedInvariantException(String message) {
    super(message);
  } // constructor
} // class UnsatisfiedInvariantException
