/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 */
package org.enhydra.tool.common;

import java.io.File;
import java.text.MessageFormat;

public class ResUtil {
    public ResUtil (){}

    public static String format (String message, String arg) {
        String          out = new String ();
        String[]        args = new String[1];

        args[0] = arg;
        out = MessageFormat.format (message, args);

        return out;
    }

    public static String format (String message, int arg) {
        return ResUtil.format (message, (new String ()) + arg);
    }

    public static String format (String message, boolean b) {
        Boolean bool = new Boolean (b);

        return ResUtil.format (message, bool.toString ());
    }

    public static String format (String message, String arg1, String arg2) {
        String          out = new String ();
        String[]        args = new String[2];

        args[0] = arg1;
        args[1] = arg2;
        out = MessageFormat.format (message, args);

        return out;
    }

    public static String format (String message, File file) {
        String          out = new String ();
        PathHandle      handle = PathHandle.createPathHandle (file);

        out = ResUtil.format (message, handle.getPath ());

        return out;
    }

    public static String format (String message, PathHandle handle) {
        return ResUtil.format (message, handle.getPath ());
    }

    public static String format (String message, File f1, File f2) {
        String          out = new String ();
        PathHandle      handle1 = PathHandle.createPathHandle (f1);
        PathHandle      handle2 = PathHandle.createPathHandle (f2);

        out = ResUtil.format (message, handle1.getPath (),
                              handle2.getPath ());

        return out;
    }

    public static String format (String message, File file, int integer) {
        String          out = new String ();
        PathHandle      handle = PathHandle.createPathHandle (file);
        String          arg2 = (new String () + integer);

        out = ResUtil.format (message, handle.getPath (), arg2);

        return out;
    }

}

