/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id$
 */

package org.enhydra.xml.lazydom;

import com.lutris.util.ChainedError;

/**
 * Fatal error detected by LazyDOM.
 */
public class LazyDOMError extends ChainedError {
    /**
     * @see ChainedError#ChainedError(String)
     */
    public LazyDOMError(String msg) {
        super(msg);
    }
    
    /**
     * Create an error associated with the specified node id,
     * which will be preappended to the error message.
     */
    public LazyDOMError(int nodeId,
                        String msg) {
        super("Node id " + nodeId + ": " + msg);
    }
    
    /**
     * @see ChainedError#ChainedError(String, Throwable)
     */
    public LazyDOMError(String msg,
                        Throwable cause) {
        super(msg, cause);
    }
    
    /**
     * @see ChainedError#ChainedError(Throwable)
     */
    public LazyDOMError(Throwable cause) {
        super(cause);
    }
}
