#!/bin/sh
#
# Enhydra XML Compiler (xmlc).
#
#  All arguments are passed to the XMLC compiler.
#  Environment variables:
#     o XMLC_MAX_HEAP - Contains the maximum heap size, in megabytes
#       for the XMLC JVM.
#

DEFAULT_JAVA="@JAVA@"
DEFAULT_JAVAC="@JAVAC@"
JAVA="${JAVA:=$DEFAULT_JAVA}"
JAVAC="${JAVAC:=$DEFAULT_JAVAC}"
XMLC_CLASSES="@XMLC_CLASSES@"
JDKDIR="@JDKDIR@"

# Java class required when using jikes
JDK_CLASSES="${JDKDIR}/jre/lib/rt.jar"

# Get path separator. If on windows, need to change JAVAC drive specification
# syntax from cygwin (//C/usr/...) to native (C:/usr/...), as it will be
# run from the JVM, not cygwin.
if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
    JAVAC="`echo "${JAVAC}"|sed -e 's|^//\(.\)/|\1:/|'`"
else
    PS=:
fi

# Setup CLASSPATH
if [ "X${CLASSPATH}" = "X" ] ; then
    CLASSPATH="${XMLC_CLASSES}"
else
    CLASSPATH="${XMLC_CLASSES}${PS}${CLASSPATH}"
fi

# If jikes is the compiler, we need to be able to find the Java std classes.
# It would be nice to do this with JIKESPATH, but jikes 1.12 ignores
# CLASSPATH
JIKESPATH="${JDK_CLASSES}${PS}${CLASSPATH}"
export JIKESPATH
export CLASSPATH

# Default javac to use.
JAVAC_ARG="-Dorg.enhydra.xml.xmlc.javac=${JAVAC}"

MX_ARG=""
if [ "${XMLC_MAX_HEAP}X" != "X" ] ; then
    MX_ARG="-mx${XMLC_MAX_HEAP}m"
fi

exec ${JAVA} ${JAVAC_ARG} ${MX_ARG} org.enhydra.xml.xmlc.commands.xmlc.XMLC "$@"
