#!/bin/sh
#
# Do a diff of two DOM dumps, removing the node class name prefixes
# and suffixes to allow for comparisons.
#
if [ $# != 2 ] ; then
    echo "Wrong # args: diff-doms dump1 dump2" >&2
    exit 1
fi

dump1="$1"
dump2="$2"

# sed cmd to remove differences due to different DOMs.
sedcmd="sed -e s/Deferred//g -e s/Template//g -e s/Lazy//g -e s/Impl//g -e s/%\[T\]//g -e s/ElementNS/Element/g"

${sedcmd} $dump1 >$dump1.tmp
${sedcmd} $dump2 >$dump2.tmp
diff $dump1.tmp $dump2.tmp 

rm -f $dump1.tmp $dump2.tmp 
