#!/bin/sh
#
#  diff-dom-dumps dir1 dir2
#
# Perform difference checks on the DOM dumps from the same
# set of tests with two different DOMs.
#

# List of file suffixs of files to compare
SUFFIXES="dom geninfo out"

# Build sorted tmpfile of results
#   makeDirList dir out
#
makeDirList() {
    dir="$1"
    out="$2"
    (for s in $SUFFIXES ; do
     ls -1d $dir/$s
     done) | sort >$out
}


#
# Entry
#
if [ $# != 2 ] ; then
    echo 'wrong # args: diff-dom-dumps dir1 dir2' >&2
    exit 1
fi
DIR1="$1"
DIR2="$2"


