#
# Enhydra Java Application Server Project
# 
# The contents of this file are subject to the Enhydra Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License on
# the Enhydra web site ( http://www.enhydra.org/ ).
# 
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
# the License for the specific terms governing rights and limitations
# under the License.
# 
# The Initial Developer of the Enhydra Application Server is Lutris
# Technologies, Inc. The Enhydra Application Server and portions created
# by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
# All Rights Reserved.
# 
# Contributor(s):
# 
# $Id$
#

# Must include stdrules.mk before monkeying with ENHYDRA_CLASSPATH
include $(MODROOT)/rules.mk

# Pick CLASSPATH to use in certain tests that need it explictly
# set (most tests pick it up from the test scripts).
# FIXME: remove when 4.0 only.
ifeq (${XMLC_STANDALONE},YES)
    XMLC_JAR="${XMLC_OUTPUT}/lib/xmlc.jar"
    TEST_CLASSPATH:=${XMLC_JAR}${PS}${XMLC_TEST_CLASSES}
    XMLC=${XMLC_BIN}/xmlc
else
    TEST_CLASSPATH:=${XMLC_TEST_CLASSES}${PS}${ENHYDRA_CLASSPATH}
endif
ifneq ($(JIKES),)
    TEST_CLASSPATH:=${JIKES_CLASSES}${PS}${TEST_CLASSPATH}
endif
export XMLC_STANDALONE

# If using jikes, must turn off warnings or output will not match
# (warning are about missing jars on CLASSPATH).
ifneq ($(JIKES),)
    JIKES_FLAGS = -javacflag -nowarn
    XMLC_FLAGS += ${JIKES_FLAGS}
    JIKES_SCRIPT_FLAG = -jikes
endif

%: %.sh
	${EDIT_PATHS} -p a+rx,a-w \
	    -e 's|@XMLC_OUTPUT@|${XMLC_OUTPUT}|g' \
	    -e 's|@PACKAGE@|${PACKAGE}|g' \
	    -e 's|@XMLC_BUILD_3_0@|${XMLC_BUILD_3_0}|g' \
	    -e 's|@XMLC_TEST_CLASSES@|${XMLC_TEST_CLASSES}|g' \
	    $< $*

