#!/bin/sh
#
# Run a XMLC generate object and save the output.
#
# The environment variable EXTRA_TEST_CLASSPATH will be added if
# set.  This is a hack to allow use by the XHTML tests.
#

set -e  # Stop on errors

ROOT="@ROOT@"
JAVA="@JAVA@"

XMLC_OUTPUT="@XMLC_OUTPUT@"
TEST_CLASSES="@XMLC_TEST_CLASSES@"

XMLC_JAR="${XMLC_OUTPUT}/lib/xmlc.jar"
ENHYDRA_CLASSPATH="@ENHYDRA_CLASSPATH@"

if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
else
    PS=:
fi

if [ "X${XMLC_STANDALONE}" = "XYES" ] ; then
    CLASSPATH="${TEST_CLASSES}${PS}${XMLC_JAR}"
else
    CLASSPATH="${TEST_CLASSES}${PS}${ENHYDRA_CLASSPATH}"
fi
if [ "X${EXTRA_TEST_CLASSPATH}" != "X" ] ; then
    CLASSPATH="${EXTRA_TEST_CLASSPATH}${PS}${CLASSPATH}"
fi

export CLASSPATH

MX_ARG=""
if [ "${XMLC_MAX_HEAP}X" != "X" ] ; then
    MX_ARG="-mx${XMLC_MAX_HEAP}m"
fi

exec ${JAVA} ${MX_ARG} tests.org.enhydra.xml.xmlc.RunObject "$@"
