#!/bin/sh

#
# test-status [!] exit_code [msg ...]
#
# Script use to terminate a test case.  Check XMLC_TEST_NONSTOP
# env var to determine the actual exit code to generate.
# If ! is specified, then its a failure if the exit code is zero
# Produces a message that can be grep-ed for in the output.
# A script is needed, since these string should not appear on the command line.
#
#   TEST-SUCCEEDED: message
#   TEST-FAILED: message
#
# Designed to be used in make files in the form
#   my-test-case ; ./test-status $$? my testid
# or to exit a test driver script
#
if [ $# -lt 1 ] ; then
    echo "test-status [!] exit_code [msg ...]" >&2
    exit 1
fi
if [ "x$1" = "x!" ] ; then
   shift
   if [ $1 = 0 ] ; then
      exit_code=1
   else
      exit_code=0
   fi
   shift
else
   exit_code=$1
   shift
fi
msg="$*"

if [ $exit_code = 0 ] ; then
    echo TEST-SUCCEEDED: $msg
else
    echo TEST-FAILED: $msg
fi

if [ "X${XMLC_TEST_NONSTOP}" = "XYES" ] ; then
    exit 0
fi
exit $exit_code
